Bug 1570821 - Unable to run ansible playbook method via Simulate
Summary: Unable to run ansible playbook method via Simulate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.9.2
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate:ansible
Depends On: 1568384
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 12:53 UTC by Satoe Imaishi
Modified: 2018-05-07 20:50 UTC (History)
4 users (show)

Fixed In Version: 5.9.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1568384
Environment:
Last Closed: 2018-05-07 20:49:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:50:16 UTC

Comment 2 CFME Bot 2018-04-23 12:56:23 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/0cd8d06edc48d51c246c48a29b7ddafe733e5a55
commit 0cd8d06edc48d51c246c48a29b7ddafe733e5a55
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Apr 18 17:09:19 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Apr 18 17:09:19 2018 -0400

    Merge pull request #17313 from lfu/simulate_ae_ansible_method_1568384

    Check for the existence of credentials.
    (cherry picked from commit 6070f38fa213f396eb58138a02cddb8931c5d71a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1570821

 app/models/manageiq/providers/embedded_ansible/automation_manager/playbook.rb | 2 +-
 spec/models/manageiq/providers/embedded_ansible/automation_manager/playbook_spec.rb | 16 +
 2 files changed, 17 insertions(+), 1 deletion(-)

Comment 3 Dmitry Misharov 2018-05-02 08:14:34 UTC
Fixed and verified in 5.9.2.4.20180501195858_35dc609.

Comment 6 errata-xmlrpc 2018-05-07 20:49:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.